<?php

/**psr-4 */
require_once "vendor/autoload.php";

use App\Libreria\Conexion;
use App\Models\Usuario;
new Conexion();

$isvalidado = false; //validacion de los campos
if (isset($_POST['crear_usuario']) and !empty($_POST['crear_usuario'])) {
    if (empty($_POST['nombre'])) {
        $_SESSION['message_error'] = "El campo nombre no puede estar vacio";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }
    if (empty($_POST['cargo'])){
        $_SESSION['message_error'] = "El campo cargo no puede estar vacio";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }
    if (empty($_POST['usuario'])){
        $_SESSION['message_error'] = "El campo usuario no puede estar vacio";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }
    if (empty($_POST['password'])){
        $_SESSION['message_error'] = "Deve ingresar una contraseña";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }else{
        $isvalidado = true;
    }

    if ($isvalidado) {
        $usuario = Usuario::where('nick',$_POST['usuario'])->first();
        if ($usuario) {
            $_SESSION['message_error'] = 'El usuario ya existe';
        }else {
            $usuario = new Usuario();
            $usuario->nombre = strtoupper($_POST['nombre']);
            $usuario->cargo = strtoupper($_POST['cargo']);
            $usuario->nick = strtoupper($_POST['usuario']);
            $usuario->password = password_hash($_POST['password'], PASSWORD_DEFAULT);
            $usuario->nivel = $_POST['nivel'];
            $usuario->save();
        
            $_SESSION['message_success'] = 'Se ha creado un usuario: ' . $usuario->nick;
        }
    }
}

if (!empty($_GET['accion']) and $_GET['accion'] == 'delete') {
    $usuario = Usuario::find($_GET['usuario']);
    $usuario->delete();
    $_SESSION['message_success'] = 'Se elimino un usuario';
}

if (!empty($_GET['accion']) and $_GET['accion'] == 'reset') {
    $usuario = Usuario::find($_GET['usuario']);
    $usuario->password = password_hash('123456', PASSWORD_DEFAULT);
    $usuario->save();
    $_SESSION['message_success'] = 'Se reseteo la contraseña a 123456';
}

header("Location: " . $_SERVER["HTTP_REFERER"]);

